Add custom data in bulk
curl --request PUT \
--url https://api.getcortexapp.com/api/v1/catalog/custom-data \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"values": {
"another-service-tag": [
{
"key": "different-key",
"value": {
"nested": "object"
}
},
{
"key": "my-cool-key",
"value": "Hello again"
}
],
"service-x": [
{
"key": "my-key",
"value": 100
},
{
"key": "my-second-key",
"value": "Hello"
}
]
}
}
'import requests
url = "https://api.getcortexapp.com/api/v1/catalog/custom-data"
payload = { "values": {
"another-service-tag": [
{
"key": "different-key",
"value": { "nested": "object" }
},
{
"key": "my-cool-key",
"value": "Hello again"
}
],
"service-x": [
{
"key": "my-key",
"value": 100
},
{
"key": "my-second-key",
"value": "Hello"
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
values: {
'another-service-tag': [
{key: 'different-key', value: {nested: 'object'}},
{key: 'my-cool-key', value: 'Hello again'}
],
'service-x': [{key: 'my-key', value: 100}, {key: 'my-second-key', value: 'Hello'}]
}
})
};
fetch('https://api.getcortexapp.com/api/v1/catalog/custom-data', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"values": [
{
"dateUpdated": "2023-11-07T05:31:56Z",
"key": "<string>",
"source": "YAML",
"value": {},
"description": "<string>",
"id": 123
}
],
"errors": {}
}{
"message": "<string>",
"type": "INTEGRATION_MISSING",
"details": "<string>",
"errorCode": "<string>",
"gatewayHttpStatus": 123,
"httpStatus": 123,
"requestId": "<string>"
}{
"status": 429,
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"instance": "<string>",
"retryAfter": 1
}Add custom data in bulk
Add multiple key/values of custom data to multiple entities
PUT
/
api
/
v1
/
catalog
/
custom-data
Add custom data in bulk
Authorizations
All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.
Query Parameters
When true, overrides values that were defined in the catalog descriptor. Will be overwritten the next time the catalog descriptor is processed.
Body
application/json
Map of entity tag -> custom data key/values
Show child attributes
Show child attributes
Example:
{
"another-service-tag": [
{
"key": "different-key",
"value": { "nested": "object" }
},
{
"key": "my-cool-key",
"value": "Hello again"
}
],
"service-x": [
{ "key": "my-key", "value": 100 },
{ "key": "my-second-key", "value": "Hello" }
]
}
Last modified on September 29, 2026